All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class CloseCancelCustomizerDialog

    com.sas.visuals.CloseCancelCustomizerDialog

All Implemented Interfaces:
  ContainerInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.event.ActionListener, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class CloseCancelCustomizerDialog

implements java.awt.event.ActionListener, java.awt.event.WindowListener

`CloseCancelCustomizerDialog` is a `ButtonDialog` subclass which displays a ``Customizer`` inside a `ScrollPane` and has a Close button for closing the dialog.

See Also:
  Serialized Form

Field Summary
`static int` | `BUTTON_CANCEL`
`static int` | `BUTTON_OK`
`protected PushButton` | `cancelButton`
`protected int` | `selectedButton`

Fields inherited from class com.sas.visuals.CustomizerDialog
`closeButton, customizer`

Fields inherited from class com.sas.visuals.ButtonDialog
`buttonPanel, buttons, panel`

Fields inherited from class com.sas.awt.Dialog
`_cantUseSASModal, _inApplet, _modal, autoDispose, RB_KEY, READY, setVisibleCalled, t`

Constructor Summary
`CloseCancelCustomizerDialog(java.awt.Component customizer, java.lang.Object object, java.lang.String title)` Construct a `CustomizerDialog` for the customizer for the specified object
`CloseCancelCustomizerDialog(java.awt.Component customizer, java.lang.Object object, java.lang.String title, java.awt.Frame frame)` Construct a `CustomizerDialog` for the customizer for the specified object

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Handle a button press from the Close or Cancel button.
`int` | `getSelectedButton()` getSelectedButton can be called to return the button selected.

Methods inherited from class com.sas.visuals.CustomizerDialog
`callCustomizerClosing, getCustomizer, windowClosing`

Methods inherited from class com.sas.visuals.ButtonDialog
`getButtonPanel, getMainPanel, windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class com.sas.awt.Dialog
`center, centerOver, centerOverWindow, dispose, fireReadySignal, getAutoDispose, getDefaultHeight, getDefaultWidth, getExtendedBeanInfo, getText, hide, isSASModalEnabled, newDispatchThread, processWindowEvent, setAutoDispose, setDefaultHeight, setDefaultWidth, setModal, setResizable, setSASModalEnabled, setText, setTitle, setVisible, setVisible, show, stopDispatchThread, waitForReadySignal, waitTilReady`

Methods inherited from class com.sas.awt.DialogContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setDefaultValues, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.DialogVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPreferredSize, getPrePainter, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, paint, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### cancelButton

    protected PushButton cancelButton

### BUTTON_OK

    public static final int BUTTON_OK

See Also:
  Constant Field Values

### BUTTON_CANCEL

    public static final int BUTTON_CANCEL

See Also:
  Constant Field Values

### selectedButton

    protected int selectedButton

Constructor Detail

### CloseCancelCustomizerDialog

    public CloseCancelCustomizerDialog(java.awt.Component customizer,
                                       java.lang.Object object,
                                       java.lang.String title,
                                       java.awt.Frame frame)

  Construct a `CustomizerDialog` for the customizer for the specified object

  Parameters:
    `customizer` - the customizer to display within the dialog
    `object` - the object (Java bean) to be customized by the customizer.
    `title` - the window title
    `frame` - the parent frame. If frame is `null`, a new parent frame is created.

### CloseCancelCustomizerDialog

    public CloseCancelCustomizerDialog(java.awt.Component customizer,
                                       java.lang.Object object,
                                       java.lang.String title)

  Construct a `CustomizerDialog` for the customizer for the specified object

  Parameters:
    `customizer` - the customizer to display within the dialog
    `object` - the object (Java bean) to be customized by the customizer.
    `title` - the window title

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Handle a button press from the Close or Cancel button. This closes the dialog.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `CustomizerDialog`
  Parameters:
    `e` - an event. If the event came from the close button, close (``Window.dispose()``) the dialog.

### getSelectedButton

    public int getSelectedButton()

  getSelectedButton can be called to return the button selected. If there has not been a button selected, zero will be returned. Otherwise, the number indicating the button will be returned.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.